Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py	(revision 15636)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py	(revision 15637)
@@ -86,5 +86,5 @@
     's1389': ('Zone 01','Otite, Ogaminana, Obangede','God Cares N/P School, Oziokutu-Ogaminana'),
     's1392': ('Zone 01','Otite, Ogaminana, Obangede','L.G.E.A. Primary School, Eika-Adagu New-Layout'),
-    's1394': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group of Schools N/P and Secondary, Eika-Adagu, Otite'),
+#    's1394': ('Zone 01','Otite, Ogaminana, Obangede','Champion Group of Schools N/P and Secondary, Eika-Adagu, Otite'),
     's1396': ('Zone 01','Otite, Ogaminana, Obangede','Premier International College, New Zango Road, Ogaminana'),
     's1397': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Obangede'),
@@ -186,5 +186,5 @@
     's1590': ('Zone 11','Lokoja','Muslim Secondary School, Anguwaukura, Lokoja'),
     's1594': ('Zone 11','Lokoja','AL-ANSAR Secondary School, New-Layout, Lokoja'),
-    's1599': ('Zone 11','Lokoja','Harmony Adult Literacy Centre, Lokoja'),
+#    's1599': ('Zone 11','Lokoja','Harmony Adult Literacy Centre, Lokoja'),
     's1600': ('Zone 11','Lokoja','DE MERCY & COMPASSION SCHOOL, LOKOJA'),
     's1601': ('Zone 11','Lokoja','Bright Model Academy, Zariagi Kabba-Junction, Lokoja'),
@@ -242,5 +242,5 @@
     's1679': ('Zone 11','Lokoja','KINGS GRACE ACADEMY, A.K.A GRACE OF GOD ACADEMY,  ZANGO CITY, LOKOJA'),
     's1680': ('Zone 11','Lokoja','KINGS GRACE ACADEMY, ADANKOLO NEWLAYOUT LOKOJA'),
-    's1681': ('Zone 11','Lokoja','MODEL NURSERY/PRIMARY SCHOOL KOTON KARFI'),
+#    's1681': ('Zone 11','Lokoja','MODEL NURSERY/PRIMARY SCHOOL KOTON KARFI'),
     's1682': ('Zone 11','Lokoja','ST. GWATANA COVERNANT SCHOOLS LOKOJA'),
     's1683': ('Zone 11','Lokoja','ST. MARY NURSERY AND PRIMARY SCHOOL, LOKOJA'),
@@ -343,3 +343,33 @@
     's1780': ('Zone 08','Ikare','ACME Group of Schools, Opposite Muslem Primary School, Ilepa, Ikare-Akoko'),
     's1781': ('Zone 05','Adogo Ajaokuta','Darul Arqam Islamic Schools, Adogo'),
+     # aditional schools added 03/10/19
+    's1782': ('Zone 01','Otite, Ogaminana, Obangede','Divine Destiny Group of Schools, Inese, Nagazi'),
+    's1783': ('Zone 01','Otite, Ogaminana, Obangede','Stallarminds Int Academy, Inese, Nagazi'),
+    's1784': ('Zone 01','Otite, Ogaminana, Obangede','Goddies Standard Nurseryand Primary school, Onumoh street, Beside Audu Wokili Academy, Nagazi'),
+    's1785': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Okunchi, Ogaminana'),
+    's1786': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Demonstration College, inside LGEA Eika Adagu'),
+    's1787': ('Zone 01','Otite, Ogaminana, Obangede','Royal Star Academy Nursery and primary school, Eika Adagu'),
+    's1788': ('Zone 04','Okengwe Ihima','Success Academy Group of Schools, Adavi Eba'),
+    's1789': ('Zone 07','Iyara-Omuo','HEC NO. II, AYEGUNLE-GBEDE'),
+    's1790': ('Zone 07','Kabba Aiyetoro Gbedde','Omuo-Ibironke Memorial Group of Schools, Omuo-oke, Ekiti state'),
+    's1791': ('Zone 07','Kabba Aiyetoro Gbedde','Community Grammar School, Omuo'),
+    's1792': ('Zone 07','Kabba Aiyetoro Gbedde','Amazing Grace Int Sch, Ekirin Adde'),
+    's1793': ('Zone 07','Kabba Aiyetoro Gbedde','Victory Int College, Ekirin Adde'),
+    's1794': ('Zone 08','Ikare','Prospect High School, Ikare'),
+    's1795': ('Zone 08','Ikare','Mount Victory Nursery and Primary School, Akungba'),
+    's1796': ('Zone 08','Ikare','Okede Community Grammar School, Supari,Akoko'),
+    's1797': ('Zone 08','Ikare','St Andrew Anglican Primary school, Akkunu Akoko'),
+    's1798': ('Zone 08','Ikare','Ahmadiyya Grammar School, Ogbagi Akoko'),
+    's1799': ('Zone 11','Lokoja','Army Day Secondary School, Lokoja'),
+    's1800': ('Zone 11','Lokoja','Bishop Delise College Lokoja'),
+    's1801': ('Zone 11','Lokoja','St Luke, Adankolo, Lokoja'),
+    's1802': ('Zone 11','Lokoja','New Horizones Nur/Pry. School, Felele, Lokoja'),
+    's1803': ('Zone 11','Lokoja','St Peters Primanry School Felele, Lokoja'),
+    's1804': ('Zone 11','Lokoja','UBE Felele, Lokoja'),
+    's1805': ('Zone 11','Lokoja','Sunnah Academy, Felele, Lokoja'),
+    's1806': ('Zone 13','Anyingba Ochaja','COMMUNITY SECONDARY SCHOOL, ANYNGBA'),
+    's1807': ('Zone 13','Anyingba Ochaja','ANSAR MODEL SCHOOL, ANYNGBA'),
+    's1808': ('Zone 13','Anyingba Ochaja','BABAYADE NURSERY/PRIMARY SCHOOL, ANYINGBA'),
+    's1809': ('Zone 13','Anyingba Ochaja','CMMI SECONDARY SCHOOL, ANYINGBA'),
+    's1810': ('Zone 13','Anyingba Ochaja','Our Lady of Schools, Anyingba'),
     }