Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 15650)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 15651)
@@ -78,5 +78,5 @@
             'marit_stat,matric_number,middlename,nationality,'
             'next_kin_address,next_kin_name,next_kin_phone,next_kin_relation,'
-            'nysc_lga,nysc_location,nysc_year,officer_comment,'
+            'nysc_lga,nysc_location,nysc_year,officer_comment,parents_email,'
             'perm_address,personal_updated,phone,physical_clearance_date,'
             'provisionally_cleared,reg_number,'
@@ -87,5 +87,5 @@
             '"[(\'accounts\', \'A\')]",my clr code,1981-02-04#,,,'
             'anna@sample.com,,,,,,,,,,,,,Anna,,,,,,"[(\'accounts\', \'A\')]"'
-            ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'
+            ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,,'
             '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,,,123,,,,,'
             '"[(\'accounts\', \'A\')]",,f,A111111,0,,,created,'
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/utils.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/utils.py	(revision 15650)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/utils.py	(revision 15651)
@@ -38,2 +38,5 @@
     STUDENT_EXPORTER_NAMES = StudentsUtils().STUDENT_EXPORTER_NAMES + (
             'clearancerequested',)
+
+    # Maximum size of upload files in kB
+    MAX_KB = 250
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py	(revision 15650)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py	(revision 15651)
@@ -98,5 +98,4 @@
     label = _(u'Acceptance Letter')
     title = _(u'Acceptance Letter Scan')
-    mus = 1024 * 250
     download_name = u'acc_let'
     tab_redirect = '?tab2'
@@ -127,5 +126,4 @@
     label = _(u'LGA Identification')
     title = _(u'LGA Identification Scan')
-    mus = 1024 * 250
     download_name = u'lga_ident'
 
@@ -155,5 +153,4 @@
     label = _(u'First Sitting Result')
     title = _(u'First Sitting Result Scan')
-    mus = 1024 * 250
     download_name = u'fst_sit_scan'
 
@@ -183,5 +180,4 @@
     label = _(u'Second Sitting Result')
     title = _(u'Second Sitting Result Scan')
-    mus = 1024 * 250
     download_name = u'scd_sit_scan'
 
@@ -211,5 +207,4 @@
     label = _(u'Higher Qualification Result')
     title = _(u'Higher Qualification Result Scan')
-    mus = 1024 * 250
     download_name = u'hq_scan'
 
@@ -239,5 +234,4 @@
     label = _(u'Second Higher Qualification Result')
     title = _(u'Second Higher Qualification Result Scan')
-    mus = 1024 * 250
     download_name = u'hq_scan2'
 
@@ -271,5 +265,4 @@
     label = _(u'Advanced Level Result')
     title = _(u'Advanced Level Result Scan')
-    mus = 1024 * 250
     download_name = u'alr_scan'
 
@@ -299,5 +292,4 @@
     label = _(u'Certificate')
     title = _(u'Certificate Scan')
-    mus = 1024 * 250
     download_name = u'cert'
 
@@ -327,5 +319,4 @@
     label = _(u'Second Certificate')
     title = _(u'Second Certificate Scan')
-    mus = 1024 * 250
     download_name = u'cert2'
 
@@ -359,5 +350,4 @@
     label = _(u'Third Certificate')
     title = _(u'Third Certificate Scan')
-    mus = 1024 * 250
     download_name = u'cert3'
 
@@ -391,5 +381,4 @@
     label = _(u'Evidence of Name')
     title = _(u'Evidence of Name Scan')
-    mus = 1024 * 250
     download_name = u'evid'
 
@@ -419,5 +408,4 @@
     label = _(u'Result Statement')
     title = _(u'Result Statement Scan')
-    mus = 1024 * 250
     download_name = u'res_stat'
 
@@ -447,5 +435,4 @@
     label = _(u'Guarantor/Referee Letter')
     title = _(u'Guarantor/Referee Letter Scan')
-    mus = 1024 * 250
     download_name = u'ref_let'
 
@@ -475,5 +462,4 @@
     label = _(u'Second Referee Letter')
     title = _(u'Second Referee Letter Scan')
-    mus = 1024 * 250
     download_name = u'ref_let2'
 
@@ -507,5 +493,4 @@
     label = _(u'Third Referee Letter')
     title = _(u'Third Referee Letter Scan')
-    mus = 1024 * 250
     download_name = u'ref_let3'
 
@@ -539,5 +524,4 @@
     label = _(u'Affidavit of Good Conduct')
     title = _(u'Affidavit of Good Conduct Scan')
-    mus = 1024 * 250
     download_name = u'stat_dec'
 
@@ -567,5 +551,4 @@
     label = _(u'Letter of Admission')
     title = _(u'Letter of Admission Scan')
-    mus = 1024 * 250
     download_name = u'admission_let'
 