Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 15686)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 15696)
@@ -75,7 +75,6 @@
         xmldict['provider_item_name'] = PROVIDER_ITEM_NAME
         # Institution data
-        xmldict['institution_acct'] = '00000000'
-        xmldict['institution_bank_id'] = '00'
-        xmldict['institution_amt'] = '0.0'
+        xmldict['institution_acct'] = '0040484781'
+        xmldict['institution_bank_id'] = '31'
         provider_amt = 0.0
         self.pay_item_id = '103' # must be provided by Interswitch
@@ -136,6 +135,6 @@
         xmldict = {}
         provider_amt = 400.0
-        xmldict['institution_acct'] = '00000000000'
-        xmldict['institution_bank_id'] = '00'
+        xmldict['institution_acct'] = '0040484781'
+        xmldict['institution_bank_id'] = '31'
         xmldict['detail_ref'] = self.context.p_id
         xmldict['provider_amt'] = 100 * provider_amt
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 15686)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 15696)
@@ -79,5 +79,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="Tuition Plus (total amount)" item_amt="3985000" bank_id="00" acct_num="00000000"' in
+            'item_name="Tuition Plus (total amount)" item_amt="3970000" bank_id="31" acct_num="0040484781"' in
             self.browser.contents)
 
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 15686)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 15696)
@@ -39,4 +39,5 @@
     NigeriaExportPDFPaymentSlip,
     NigeriaExportPDFClearanceSlip,
+    NigeriaExportPDFCourseRegistrationSlip,
     )
 
@@ -46,2 +47,22 @@
 from kofacustom.iuokada.interfaces import MessageFactory as _
 
+class CustomExportPDFCourseRegistrationSlip(
+    NigeriaExportPDFCourseRegistrationSlip):
+    """Deliver a PDF slip of the context.
+    """
+
+    def _signatures(self):
+        return (
+                ['Student Signature'],
+                ['HoD / Course Adviser Signature'],
+                ['College Officer Signature'],
+                ['Dean Signature']
+                )
+
+    #def _sigsInFooter(self):
+    #    return (_('Student'),
+    #            _('HoD / Course Adviser'),
+    #            _('College Officer'),
+    #            _('Dean'),
+    #            )
+    #    return ()
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 15686)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 15696)
@@ -31,4 +31,5 @@
 from waeup.kofa.students.accommodation import BedTicket
 from waeup.kofa.testing import FunctionalTestCase
+from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.interfaces import (
     IExtFileStore, IFileStoreNameChooser)
@@ -44,2 +45,29 @@
     def test_dummytest(self):
         return
+
+
+class StudentUITests(StudentsFullSetup):
+    # Tests for Student class views and pages
+
+    layer = FunctionalLayer
+
+    def test_student_course_registration(self):
+        IWorkflowState(self.student).setState('school fee paid')
+        self.browser.open(self.login_path)
+        self.browser.getControl(name="form.login").value = self.student_id
+        self.browser.getControl(name="form.password").value = 'spwd'
+        self.browser.getControl("Login").click()
+        # Now students can add the current study level
+        self.browser.getLink("Study Course").click()
+        self.browser.getLink("Add course list").click()
+        self.assertMatches('...Add current level 100 (Year 1)...',
+                           self.browser.contents)
+        self.browser.getControl("Create course list now").click()
+        # Students can open the pdf course registration slip
+        self.browser.open(
+            self.student_path + '/studycourse/100/course_registration_slip.pdf')
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'course_registration_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF course_registration_slip.pdf written to %s" % path