Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 15703)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 15704)
@@ -99,7 +99,4 @@
 </payment_item_detail>""" % xmldict
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
-
-        self.xml_data = None
-
         self.context.provider_amt = provider_amt
         self.context.gateway_amt = GATEWAY_AMT
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 15703)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 15704)
@@ -71,6 +71,6 @@
             '<span>40000.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="0000" />' in
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="103" />' in
                            self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_ft')
@@ -92,6 +92,6 @@
         self.student['payments']['xyz'] = acc_payment
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="0000" />...',
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertMatches('...<input type="hidden" name="pay_item_id" value="103" />...',
                            self.browser.contents)
         self.assertMatches('...Total Amount Authorized:...',
@@ -104,5 +104,5 @@
         acc_payment.creation_date -= delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...This payment ticket is too old. Please create a new ticket...',
@@ -111,5 +111,5 @@
         acc_payment.creation_date += delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
@@ -230,5 +230,5 @@
     def test_interswitch_form(self):
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
@@ -239,5 +239,5 @@
         self.applicant.values()[0].creation_date -= delta
         self.browser.open(self.payment_url)
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...This payment ticket is too old. Please create a new ticket...',
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 15703)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 15704)
@@ -34,4 +34,5 @@
 from kofacustom.nigeria.students.browser import (
     NigeriaOnlinePaymentDisplayFormPage,
+    NigeriaStudentBaseDisplayFormPage,
     NigeriaStudentBaseManageFormPage,
     NigeriaStudentClearanceEditFormPage,
@@ -40,10 +41,29 @@
     NigeriaExportPDFClearanceSlip,
     NigeriaExportPDFCourseRegistrationSlip,
+    NigeriaStudentBaseEditFormPage,
     )
 
 from kofacustom.iuokada.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
-    ICustomStudentStudyLevel)
+    ICustomStudentStudyLevel, ICustomStudentBase)
 from kofacustom.iuokada.interfaces import MessageFactory as _
+
+class CustomStudentBaseDisplayFormPage(NigeriaStudentBaseDisplayFormPage):
+    """ Page to display student base data
+    """
+    form_fields = grok.AutoFields(ICustomStudentBase).omit(
+        'password', 'suspended', 'suspended_comment', 'flash_notice')
+
+class CustomStudentBaseManageFormPage(NigeriaStudentBaseManageFormPage):
+    """ View to manage student base data
+    """
+    form_fields = grok.AutoFields(ICustomStudentBase).omit(
+        'student_id', 'adm_code', 'suspended')
+
+class StudentBaseEditFormPage(NigeriaStudentBaseEditFormPage):
+    """ View to edit student base data
+    """
+    form_fields = grok.AutoFields(ICustomStudentBase).select(
+        'email', 'email2', 'parents_email', 'phone',)
 
 class CustomExportPDFCourseRegistrationSlip(
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/interfaces.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/interfaces.py	(revision 15703)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/interfaces.py	(revision 15704)
@@ -19,4 +19,5 @@
 from zope import schema
 from waeup.kofa.students.vocabularies import StudyLevelSource
+from waeup.kofa.interfaces import validate_email
 from kofacustom.nigeria.students.interfaces import (
     INigeriaStudentBase, INigeriaUGStudentClearance, INigeriaPGStudentClearance,
@@ -32,4 +33,15 @@
 
     """
+
+    email2 = schema.ASCIILine(
+        title = _(u'Second Email'),
+        required = False,
+        constraint=validate_email,
+        )
+
+ICustomStudentBase['email2'].order = ICustomStudentBase[
+    'phone'].order
+ICustomStudentBase['phone'].order = ICustomStudentBase[
+    'email'].order
 
 class ICustomStudentPersonal(INigeriaStudentPersonal):
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_export.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_export.py	(revision 15703)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_export.py	(revision 15704)
@@ -48,5 +48,5 @@
         self.assertMatches(
             'adm_code,alr_date,alr_fname,alr_no,alr_results,'
-            'clr_code,date_of_birth,def_adm,disabled,email,emp2_end,'
+            'clr_code,date_of_birth,def_adm,disabled,email,email2,emp2_end,'
             'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
             'emp_reason,emp_start,employer,employer2,'
@@ -67,5 +67,5 @@
             'current_level,current_session\r\nmy adm code,,,,'
             '"[(\'printing_craft_practice\', \'A1\')]",my clr code,1981-02-04#,,,'
-            'anna@sample.com,,,,,,,,,,,,,Anna,,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
+            'anna@sample.com,,,,,,,,,,,,,,Anna,,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
             ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,,'
             '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,,,123,,,,,'