Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 15591)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 15712)
@@ -79,5 +79,5 @@
         self.payment_url = self.browser.url
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertTrue(
@@ -96,5 +96,5 @@
         self.applicant.values()[0].creation_date -= delta
         self.browser.open(self.payment_url)
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue(
             'This payment ticket is too old. Please create a new ticket'
@@ -110,5 +110,5 @@
         self.payment_url = self.browser.url
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertTrue(
@@ -130,5 +130,5 @@
         self.applicant.values()[0].creation_date -= delta
         self.browser.open(self.payment_url)
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue(
             'This payment ticket is too old. Please create a new ticket'
@@ -144,5 +144,5 @@
         self.payment_url = self.browser.url
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertTrue(
@@ -161,5 +161,5 @@
         self.applicant.values()[0].creation_date -= delta
         self.browser.open(self.payment_url)
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue(
             'This payment ticket is too old. Please create a new ticket'
@@ -175,5 +175,5 @@
         self.payment_url = self.browser.url
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertTrue(
@@ -226,5 +226,5 @@
         self.assertTrue('<span>51250.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue(
             'Please pay acceptance fee first' in self.browser.contents)
@@ -233,5 +233,5 @@
         acc_payment.p_category = 'clearance'
         self.student['payments']['xyz'] = acc_payment
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="105" />'
                         in self.browser.contents)
@@ -267,5 +267,5 @@
         self.assertTrue('<span>51750.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue(
             'Please pay acceptance fee first' in self.browser.contents)
@@ -274,5 +274,5 @@
         acc_payment.p_category = 'clearance'
         self.student['payments']['xyz'] = acc_payment
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="107" />'
                         in self.browser.contents)
@@ -308,5 +308,5 @@
         self.assertTrue('<span>42550.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="104" />' in
                            self.browser.contents)
@@ -338,5 +338,5 @@
         self.assertTrue('<span>43050.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="102" />'
                         in self.browser.contents)
@@ -369,5 +369,5 @@
         self.payment_url = self.browser.url
         self.certificate.study_mode = 'ug_ft'
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="107" />'
                            in self.browser.contents)
@@ -393,5 +393,5 @@
         self.student['payments']['xyz'] = acc_payment
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="104" />'
                         in self.browser.contents)
@@ -404,5 +404,5 @@
         acc_payment.creation_date -= delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue(
             'This payment ticket is too old. Please create a new ticket'
@@ -411,5 +411,5 @@
         acc_payment.creation_date += delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
 