Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 15688)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 15716)
@@ -84,5 +84,5 @@
     def test_interswitch_form(self):
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         # The total amount to be processed by Interswitch
         # has been reduced by the Interswitch fee of 150 Nairas
@@ -129,5 +129,5 @@
         self.assertEqual(self.student['payments'][value].gateway_amt, 0.0)
         self.browser.getLink(value).click()
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         # Split amounts have been set.
         self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
@@ -156,5 +156,5 @@
         #    self.browser.contents)
         ## Manager can access InterswitchForm
-        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.browser.getLink("Pay via Interswitch", index=0).click()
         #self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
         #self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
@@ -186,5 +186,5 @@
             self.browser.contents)
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
@@ -223,5 +223,5 @@
         #    '<span>8150.0</span>' in self.browser.contents)
         # Manager can access InterswitchForm
-        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.browser.getLink("Pay via Interswitch", index=0).click()
         #self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         #self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
@@ -257,5 +257,5 @@
         #    self.browser.contents)
         ## Manager can access InterswitchForm
-        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.browser.getLink("Pay via Interswitch", index=0).click()
         #self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
         #self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
@@ -284,5 +284,5 @@
             '<span>200.0</span>' in self.browser.contents)
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
@@ -310,5 +310,5 @@
             self.browser.contents)
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
@@ -357,5 +357,5 @@
         self.student['payments']['xyz'] = acc_payment
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="5702" />'
                            in self.browser.contents)
@@ -369,5 +369,5 @@
         acc_payment.creation_date -= delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...This payment ticket is too old. Please create a new ticket...',
@@ -376,5 +376,5 @@
         acc_payment.creation_date += delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
@@ -392,5 +392,5 @@
         value = ctrl.options[1]
         self.browser.getLink(value).click()
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...alert alert-danger">This type of payment has already been made...',
@@ -506,5 +506,5 @@
             '<span>1000.0</span>' in self.browser.contents)
         # Manager can access InterswitchForm
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
@@ -515,5 +515,5 @@
         self.applicant.values()[0].creation_date -= delta
         self.browser.open(self.payment_url)
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...This payment ticket is too old. Please create a new ticket...',