Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 15707)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 15719)
@@ -85,5 +85,5 @@
         self.assertTrue('<span>30000.0</span>'  in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="102" />'
             in self.browser.contents)
@@ -106,5 +106,5 @@
         self.assertTrue('<span>12345.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="pay_item_id" value="103" />'
                            in self.browser.contents)
@@ -126,5 +126,5 @@
         self.student['payments']['xyz'] = acc_payment
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches('...<input type="hidden" name="pay_item_id" value="103" />...',
                            self.browser.contents)
@@ -138,5 +138,5 @@
         acc_payment.creation_date -= delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...This payment ticket is too old. Please create a new ticket...',
@@ -145,5 +145,5 @@
         acc_payment.creation_date += delta
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
@@ -182,5 +182,5 @@
         #self.assertTrue(self.student['payments'][dep_sug_pid].amount_auth == 1650)
         #self.browser.getLink(dep_sug_pid).click()
-        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.browser.getLink("Pay via Interswitch", index=0).click()
         #self.student['payments'][dep_sug_pid].p_state = 'paid'
         #self.assertTrue(
@@ -198,5 +198,5 @@
         self.assertTrue('<span>30000.0</span>'  in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<item_detail item_id="1" item_name="School Fee 1" item_amt="1545000" bank_id="117" acct_num="1015220292" />'
             in self.browser.contents)
@@ -222,5 +222,5 @@
         self.assertTrue('<span>3150.0</span>'  in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<item_detail item_id="1" item_name="SUG" item_amt="100000" bank_id="11" acct_num="0038079930" />'
             in self.browser.contents)
@@ -356,5 +356,5 @@
         self.assertTrue('span>1000.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<input type="hidden" name="amount" value="100000" />'
             in self.browser.contents)
@@ -362,5 +362,5 @@
         self.applicant.values()[0].creation_date -= delta
         self.browser.open(self.payment_url)
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertMatches(
             '...This payment ticket is too old. Please create a new ticket...',
@@ -371,5 +371,5 @@
         self.browser.open(self.manage_path)
         self.browser.getControl("Add online").click()
-        self.browser.getLink("CollegePAY", index=0).click()
+        self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('<item_detail item_id="1" item_name="Application 1" item_amt="15000" bank_id="117" acct_num="1015220292" />'
             in self.browser.contents)