Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 15727)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 15728)
@@ -30,5 +30,5 @@
 from kofacustom.iuokada.interfaces import MessageFactory as _
 
-PRODUCT_ID = '6207' # must be provided by Interswitch
+PRODUCT_ID = '7922'
 SITE_NAME = 'iuokada-kofa.waeup.org'
 PROVIDER_ACCT = '0773411069'
@@ -37,13 +37,14 @@
 INSTITUTION_NAME = 'IUOkada'
 CURRENCY = '566'
-GATEWAY_AMT = 300.0
-MAC = 'CEF793CBBE838AA0CBB29B74D571113B4EA6586D3BA77E7CFA0B95E278364EFC4526ED7BD255A366CDDE11F1F607F0F844B09D93B16F7CFE87563B2272007AB3' # must be provided by Interswitch
-
-#POST_ACTION = 'https://webpay.interswitchng.com/paydirect/pay'
-POST_ACTION = 'https://sandbox.interswitchng.com/webpay/pay'
-#HOST = 'webpay.interswitchng.com'
-HOST = 'sandbox.interswitchng.com'
-#URL = '/paydirect/api/v1/gettransaction.json'
-URL = '/webpay/api/v1/gettransaction.json'
+GATEWAY_AMT = 250.0
+#MAC = 'CEF793CBBE838AA0CBB29B74D571113B4EA6586D3BA77E7CFA0B95E278364EFC4526ED7BD255A366CDDE11F1F607F0F844B09D93B16F7CFE87563B2272007AB3' # must be provided by Interswitch
+MAC = '4D8723F33D728BE3F4A77B2DFB3F57B0BCF2DD818759D54A87B2A60874067F28D94F2B91E29BFB884F920F48E0973D826835A8F2D6F74220C64EDE4DE00E45AA'
+
+POST_ACTION = 'https://webpay.interswitchng.com/paydirect/pay'
+#POST_ACTION = 'https://sandbox.interswitchng.com/webpay/pay'
+HOST = 'webpay.interswitchng.com'
+#HOST = 'sandbox.interswitchng.com'
+URL = '/paydirect/api/v1/gettransaction.json'
+#URL = '/webpay/api/v1/gettransaction.json'
 
 httplib.HTTPSConnection.debuglevel = 0
@@ -74,9 +75,29 @@
         xmldict['provider_bank_id'] = PROVIDER_BANK_ID
         xmldict['provider_item_name'] = PROVIDER_ITEM_NAME
+        provider_amt = 0.0
+        xmldict['institution_acct'] = ''
+        xmldict['institution_bank_id'] = ''
+        provider_amt = 5000.0
+        self.pay_item_id = ''
         # Institution data
-        xmldict['institution_acct'] = '0040484781'
-        xmldict['institution_bank_id'] = '31'
-        provider_amt = 5000.0
-        self.pay_item_id = '101' # '103' # must be provided by Interswitch
+        if self.context.p_category in (
+            'schoolfee', 'schoolfee40', 'secondinstal'):
+            xmldict['institution_acct'] = '1011005811'
+            xmldict['institution_bank_id'] = '117'
+            self.pay_item_id = '101'
+        elif self.context.p_category == 'book':
+            xmldict['institution_acct'] = '1013249587'
+            xmldict['institution_bank_id'] = '117'
+            self.pay_item_id = '103'
+        elif self.context.p_category == 'parentsconsult':
+            xmldict['institution_acct'] = '1012355544'
+            xmldict['institution_bank_id'] = '117'
+            self.pay_item_id = '104'
+        else:
+            xmldict['institution_acct'] = '1011050158'
+            xmldict['institution_bank_id'] = '117'
+            self.pay_item_id = '102'
+        if self.context.p_category == 'registration':
+            provider_amt = 5000.0
         xmldict['provider_amt'] = 100 * provider_amt
         xmldict['institution_item_name'] = self.context.category
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 15727)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 15728)
@@ -72,5 +72,5 @@
         self.payment_url = self.browser.url
         self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="103" />' in
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="101" />' in
                            self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_ft')
@@ -79,5 +79,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="Tuition Plus (total amount)" item_amt="3470000" bank_id="31" acct_num="0040484781"' in
+            'item_name="Tuition Plus (total amount)" item_amt="3475000" bank_id="117" acct_num="1011005811"' in
             self.browser.contents)
 
@@ -93,5 +93,5 @@
         self.browser.open(self.payments_path + '/xyz')
         self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="103" />...',
+        self.assertMatches('...<input type="hidden" name="pay_item_id" value="102" />...',
                            self.browser.contents)
         self.assertMatches('...Total Amount Authorized:...',
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 15727)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 15728)
@@ -31,4 +31,5 @@
         'secondinstal': 'Tuition Plus (60% - 2nd instalment))',
         'clearance': 'Acceptance Fee',
+        'registration': 'Registration Fee',
         #'bed_allocation': 'Bed Allocation Fee',
         #'hostel_maintenance': 'Accommodation',
@@ -58,4 +59,5 @@
         'schoolfee40': 'Tuition, Accommodation, Adm. Charges (40% - 1st instalment)',
         'secondinstal': 'Tuition, Accommodation, Adm. Charges (60% - 2nd instalment)',
+        'registration': 'Registration Fee',
         #'bed_allocation': 'Bed Allocation Fee',
         #'hostel_maintenance': 'Accommodation',
@@ -83,4 +85,5 @@
     PREVIOUS_PAYMENT_CATEGORIES = {
         'schoolfee': 'Tuition, Accommodation, Adm. Charges (total amount)',
+        'registration': 'Registration Fee',
         'application': 'Application Fee',
         'late_registration': 'Late Registration Fee',